Page MenuHomePhabricator

[SROA] Fix crash with lifetime intrinsic partially covering alloca.
ClosedPublic

Authored by eli.friedman on Jul 24 2016, 2:10 PM.

Details

Summary

PromoteMemToReg looks specifically for the pattern
bitcast+lifetime.start (or a bitcast-equivalent GEP); any offset
will lead to an assertion failure.

Fixes https://llvm.org/bugs/show_bug.cgi?id=27999 .

Diff Detail

Repository
rL LLVM

Event Timeline

eli.friedman retitled this revision from to [SROA] Fix crash with lifetime intrinsic partially covering alloca..
eli.friedman updated this object.
eli.friedman added a reviewer: chandlerc.
eli.friedman added a subscriber: llvm-commits.
adrake added a subscriber: adrake.Jul 25 2016, 4:29 PM

Ping. (Not sure who else would be appropriate to review this.)

chandlerc accepted this revision.Aug 5 2016, 5:25 PM
chandlerc edited edge metadata.

This is the correct fix. Sorry for the delay reviewing.

This revision is now accepted and ready to land.Aug 5 2016, 5:25 PM
This revision was automatically updated to reflect the committed changes.